Skip to main content
WEBHOOK
CARDHOLDER_SUSPENDED
{
  "event":       "CARDHOLDER_SUSPENDED",
  "eventId":     "evt_01HXY123456ABCDEF",
  "businessId":  "BUS1A2B3C4D5E6F",
  "environment": "LIVE",
  "timestamp":   "2026-05-22T10:00:00Z",
  "data": {
    "cardholderId": "chl_01HXYZ1234ABCDEF5678",
    "status":       "SUSPENDED",
    "suspendedAt":  "2026-05-22T10:00:00Z"
  }
}
{}
Fires after a successful POST /cardholders/{id}/suspend request. All cards belonging to this cardholder are automatically frozen — they cannot authorize any transactions until the cardholder is reactivated.

Event Type

CARDHOLDER_SUSPENDED

Payload

{
  "event":       "CARDHOLDER_SUSPENDED",
  "eventId":     "evt_01HXY123456ABCDEF",
  "businessId":  "BUS1A2B3C4D5E6F",
  "environment": "LIVE",
  "timestamp":   "2026-05-22T10:00:00Z",
  "data": {
    "cardholderId": "chl_01HXYZ1234ABCDEF5678",
    "status":       "SUSPENDED",
    "suspendedAt":  "2026-05-22T10:00:00Z"
  }
}

Payload Fields

FieldTypeDescription
cardholderIdstringThe suspended cardholder ID
statusstringAlways SUSPENDED
suspendedAtstringISO 8601 timestamp of when the suspension was applied
For the full event group documentation see Cardholder Events.
{
  "event":       "CARDHOLDER_SUSPENDED",
  "eventId":     "evt_01HXY123456ABCDEF",
  "businessId":  "BUS1A2B3C4D5E6F",
  "environment": "LIVE",
  "timestamp":   "2026-05-22T10:00:00Z",
  "data": {
    "cardholderId": "chl_01HXYZ1234ABCDEF5678",
    "status":       "SUSPENDED",
    "suspendedAt":  "2026-05-22T10:00:00Z"
  }
}
{}

Authorizations

Authorization
string
header
required

API key from the FYATU CaaS portal. Pass as Authorization: Bearer <key>.

Body

application/json
event
string
Example:

"CARDHOLDER_SUSPENDED"

eventId
string
businessId
string
environment
enum<string>
Available options:
LIVE,
SANDBOX
timestamp
string<date-time>
data
object

Response

200

Acknowledge the event.